Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class Expression_Variable

    java.lang.Object
      rdlc.sw.Expression_Variable

All Implemented Interfaces:
  Expression

    public class Expression_Variable

extends java.lang.Object
implements Expression

Encodes a variable expression for both dereferencing and assignment.

Version:
  $Revision: 1.6 $
Author:
  Greg Gibeling

Field Summary
`protected Variable` | `var` The variable represented by this expression.

Constructor Summary
`Expression_Variable(Variable _var)` Simple constructor, stores its arguments.

Method Summary
`Variable` | `getVariable()` Simple accessor.
`boolean` | `isConstant()` Simple accessor.
`boolean` | `isLValue()` Simple accessor.
`boolean` | `isRValue()` Simple accessor.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### var

    protected Variable var

  The variable represented by this expression.

Constructor Detail

### Expression_Variable

    public Expression_Variable(Variable _var)

  Simple constructor, stores its arguments.

  Parameters:
    `_var` - The variable this expression represents.

Method Detail

### isConstant

    public boolean isConstant()

  Description copied from interface: `Expression`
  Simple accessor.

  Specified by:
    `isConstant` in interface `Expression`
  Returns:
    `true` if this expression is a constant.
  See Also:
    `Expression.isConstant()`

### isLValue

    public boolean isLValue()

  Description copied from interface: `Expression`
  Simple accessor.

  Specified by:
    `isLValue` in interface `Expression`
  Returns:
    `true` if this expression can be used as an l-value.
  See Also:
    `Expression.isLValue()`

### isRValue

    public boolean isRValue()

  Description copied from interface: `Expression`
  Simple accessor.

  Specified by:
    `isRValue` in interface `Expression`
  Returns:
    `true` if this expression can be used as an e-value.
  See Also:
    `Expression.isRValue()`

### getVariable

    public Variable getVariable()

  Simple accessor.

  Returns:
    The variable this expression represents.

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A human readable representation of this expression for debugging.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD